(
SynthDef(\sinPulz, {
	arg gate = 1, freq, out=0, amp = 1, attackTime=0.01, releaseTime=1, oscDetune=0.05, cutoff=1;
	var snd, env;

	oscDetune = oscDetune * 0.1 + 1;

	env = Linen.kr(gate, attackTime:attackTime, releaseTime:releaseTime, doneAction:2);

	freq = freq * LFNoise1.kr(20).exprange(0.995,1.005);
	snd = SinOsc.ar([freq, freq*oscDetune]) ;
	snd = snd + SinOsc.ar([freq*2, freq*oscDetune*2]) ;
	snd = snd + Pulse.ar([freq/2,(freq/2)*oscDetune]) * LFNoise1.kr(0.5).exprange(2,40);

	snd = snd.softclip;
	snd = RLPF.ar(snd, freq:
		//LFNoise1.kr(0.01).exprange(4000,300),
		freq * cutoff,
		rq:0.4);

	snd = snd * env * amp * 0.4;

	Out.ar(out, snd);
}).add;
);
